Skip to main content
GET
/
v1
/
reports
/
contexts
/
{contextId}
/
dashboard
/
source-breakdown
Get source breakdown
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/source-breakdown \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "sourceId": "<string>",
      "sourceName": "<string>",
      "totalTransactions": 123,
      "matchedTransactions": 123,
      "unmatchedTransactions": 123,
      "matchRate": 123,
      "totalAmount": "<string>",
      "unmatchedAmount": "<string>",
      "currency": "USD"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

contextId
string
required

The unique identifier of the reconciliation context.

Query Parameters

date_from
string
required

Start date (YYYY-MM-DD)

date_to
string
required

End date (YYYY-MM-DD)

source_id
string

Source ID filter

Response

Source breakdown metrics

List of source breakdown metrics

items
object[]